import { EditorRED } from "node-red"
import { Ts3CallEditorNodeProperties } from "../types"

declare const RED: EditorRED

RED.nodes.registerType<Ts3CallEditorNodeProperties>("TS3Call",{
	category: "function",
	color: "#a6bbcf",
	defaults: {
		name: {value:""},
		configid: { type:"TS3Config", value: "" },
		selection: { value:"version" }
	},
	inputs: 1,
	outputs: 1,
	label: function() {
		return this.name || "TS3 " + this.selection
	}
})