import { EditorRED } from "node-red"
import { Ts3ConfigCreds, Ts3ConfigEditorNodeProperties } from "../types"

declare const RED: EditorRED

RED.nodes.registerType<Ts3ConfigEditorNodeProperties,Ts3ConfigCreds>("TS3Config",{
	category: "config",
	color: "#a6bbcf",
	defaults: {
		name: {value:""},
		host: { value: ""},
		nickname: {value: "ServerQuery"}
	},
	credentials: {
		username: {type: "text"},
		password: {type: "password"}
	},
	label: function() {
		return this.name || "TS3 Config"
	}
})
